	;;# Fortran function that takes in three integer values:value,adder,sum
 	;;# These come in as pointer in %rdi = value,%rsi = adder,and %rdx =sum
	.text	
.globl add_and_fetch_asm_
	.type add_and_fetch_asm_, @function
add_and_fetch_asm_:	
	movl	(%rsi), %ecx 	;# Get integer from adder pointer into %ecx
	movl	%ecx, %eax	;# Copy %ecx to %eax
	;;# xaddl does: (%rdi),%eax = %eax+(%rdi),(%rdi)
	lock xaddl	%eax, (%rdi) ;#move integer value to %eax,
	;;#  and sum of adder and  value to value pointer atomically
	addl	%ecx, %eax	;#add original integer at value and adder to %eax
	movl	%eax, (%rdx)	;#Store this addition to sum
	ret			;#exit function
